GameSalad

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

unsafe implementation of the interface X509TrustManager Issue

So after all I have searching some forum that I could but they aren't working at all
I just publish my game to google play and got email like this

**"Google Play has started blocking the publishing of any new apps or updates containing the unsafe implementation of the interface X509TrustManager.
Version 2 of your app com.xxxx.xxxxxxx contains the following affected libraries:
Lcom/flurry/android/n;
Lcom/flurry/android/ai;
To confirm that you’ve addressed the vulnerability, upload the updated version of the app to the Developer Console and check back after five hours. If the app hasn’t been correctly upgraded, we will display a warning. ** "

So I have no clue about those 2 version that I might need to fix Btw I try GS live chat too but no response for like 3 hour now
Could someone help me slove this plz
btw I update my GS to 0.13.40 now on windows and try fixing minor thing but it didnt work ;m;

Comments

  • BigDaveBigDave Posts: 2,239Member

    old beer just update everything including your android sdks to the newest upload the updated apk ( build fresh).

    Wait 1-2 days the warning is gone

  • locd_pandalocd_panda Posts: 8Member, PRO
    edited August 2016

    @BigDave said:
    old beer just update everything including your android sdks to the newest upload the updated apk ( build fresh).

    Wait 1-2 days the warning is gone

    I will try update 'em thank you :D

  • NNterprisesNNterprises Posts: 387Member, PRO

    @locd_panda said:
    btw I update my GS to 0.13.40 now on windows and try fixing minor thing but it didnt work ;m;

    This wasn't fixed until 1.24 I believe so get on that update

  • locd_pandalocd_panda Posts: 8Member, PRO

    @NNterprises said:

    This wasn't fixed until 1.24 I believe so get on that update

    Okay thank you :D

  • locd_pandalocd_panda Posts: 8Member, PRO

    Is 1.25.5977.17285 version good to go right?

  • locd_pandalocd_panda Posts: 8Member, PRO

    Btw guy I still having "Dangerous Behavior\Content" What should i do i ask some of google staff they yesterday they said they will contact me with email but it same with
    one above so now i slove that but this still appear ;3;

  • locd_pandalocd_panda Posts: 8Member, PRO

    Well the same problem coming back now i have no idea what to do either
    but they say that "com.flurry.android.n" this have some broken spot
    and my app using libpng that have issue with security way

  • locd_pandalocd_panda Posts: 8Member, PRO

    Ah i think i found the problem that i need to republish in GS first for re-engine[update]
    and do the APK later so i think it going to work now because there is alot of change
    that also include phone read acess and etc
    btw Thank you guy so much <3

Sign In or Register to comment.